/*
 * ADPCMファイルの読込
 */
int
AdpLoad(int num, unsigned char *filename)
	{
	int	fp;

	pio_putstr( "ADPCMデータを読み込んでいます..." );
	// ファイルオープン
	if ( (fp = pio_fopen(filename, "rb")) == -1 )
		{
		pio_putstr("ファイルが開けませんでした。\n");
		return	0;
		}
	// ヘッダーの読み込み
	if ( pio_fread(fp,sizeof(ADPFILEHEAD),&aFileHead[num])
		!= sizeof(ADPFILEHEAD) )
		{
		pio_putstr("ファイルフォーマットが異常です。\n");
		pio_fclose(fp);
		return	0;
		}
	if ( aFileHead[num].afFileID != ID_RIFF || aFileHead[num].afFileType
		!= ID_WAVE || aFileHead[num].afFormatID != ID_FMT  )
		{
		pio_putstr("ヘッダーが異常です。\n");
		pio_fclose(fp);
		return 0;
		}

	pio_fseek(fp,0,0);
	// ヘッダーに書いてあるサイズ + ヘッダー分読み込む
	if ( pio_fread(fp, aFileHead[num].afDataSize + sizeof(ADPFILEHEAD)
		,pcmbuffer) != aFileHead[num].afDataSize + sizeof(ADPFILEHEAD) )
		{
		pio_putstr("ファイルの長さが異常です。\n");
		pio_fclose(fp);
		return	0;
		}

	// データをKRAMに転送し、構造体にパラメータをセットする
	pcmblock += AdpcmDataSet(&pInfo[num], (unsigned short *)pcmbuffer,
									(unsigned short)pcmblock, PCM_NORMAL);
	pio_putstr("成功。\n");
	pio_fclose(fp);
	return	1;
	}

